function [XTR,YTR,XTS,YTS]=random_sample_img(X,Y,N)
% N = training set size

[dataN,dim]=size(X);

XTR=uint8(zeros(N,dim));
YTR=(zeros(N,1));
XTS=uint8(zeros(dataN-N,dim));
YTS=(zeros(dataN-N,1));
IDX=zeros(dataN,1);


i=1;
% sample positives  
while i<=N
  r = ceil(dataN/2.*rand(1));
  if (IDX(r)==0)
    IDX(r)=1;
    XTR(i,:)=X(r,:);
    YTR(i)=Y(r);
    i=i+1;
  end
end
  
  
% sample negatives 
while i<=2*N
  r = ceil(dataN/2.*rand(1));
  r=r+dataN/2;
  if (IDX(r)==0)
    IDX(r)=-1;
    XTR(i,:)=X(r,:);
    YTR(i)=Y(r);
    i=i+1;
  end
end

i=1;
for r=1:dataN
    if IDX(r)==0
        XTS(i,:)=X(r,:);
        YTS(i)=Y(r);
        i=i+1;
    end
end

end
